VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
IListControlDrawer::Row Struct Reference

## Public Types
enum | { Selectable = 1 << 0, Selected = 1 << 1, Hovered = 1 << 2, LastRow = 1 << 3 }

## Public Member Functions
| operator int32_t () const
int32_t | getIndex () const
bool | isSelectable () const
bool | isSelected () const
bool | isHovered () const
bool | isLastRow () const
| Row (int32_t index, int32_t flags)

## Member Enumeration Documentation

anonymous enum

Enumerator
Selectable |
Selected |
Hovered |
LastRow |

## Constructor & Destructor Documentation

Row | ( | int32_t | index,
|  | int32_t | flags
| ) |  |
| inline

## Member Function Documentation

int32_t getIndex | ( |  | ) | const
| inline

bool isHovered | ( |  | ) | const
| inline

bool isLastRow | ( |  | ) | const
| inline

bool isSelectable | ( |  | ) | const
| inline

bool isSelected | ( |  | ) | const
| inline

operator int32_t | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- clistcontrol.h